### org.jfree.layouting.input.style

# Class StyleKey

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleKey`

Implemented Interfaces:
  Cloneable, Serializable

`public final class StyleKey`
`extends java.lang.Object`
`implements Serializable, Cloneable`

Creation-Date: 26.10.2005, 14:05:23

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `ALWAYS`

  `static int`

  `All_ELEMENTS`

  `static int`

  `BLOCK_ELEMENTS`

  `static int`

  `COUNTERS`

  `static int`

  `DOM_ELEMENTS`

  `static int`

  `FOOTNOTE_AREA`

  `static int`

  `INLINE_ELEMENTS`

  `static int`

  `MARGINS`

  `static int`

  `PAGE_CONTEXT`

  `static int`

  `PSEUDO_AFTER`

  `static int`

  `PSEUDO_ALTERNATE`

  `static int`

  `PSEUDO_BEFORE`

  `static int`

  `PSEUDO_FIRST_LETTER`

  `static int`

  `PSEUDO_FIRST_LINE`

  `static int`

  `PSEUDO_LINEMARKER`

  `static int`

  `PSEUDO_MARKER`

  `static int`

  `PSEUDO_OTHER`

  `int`

  `index`
    The index is implicitly defined when the key is registered.

  ## Constructor Summary

  `StyleKey(String name, boolean trans, boolean inherited, int index, int validity)`
    Creates a new style key.

  ## Method Summary

  `Object`

  `clone()`

  `boolean`

  `equals(Object o)`
    Indicates whether some other object is "equal to" this one.

  `int`

  `getIndex()`

  `String`

  `getName()`
    Returns the name of the key.

  `int`

  `hashCode()`
    Returns a hash code value for the object.

  `boolean`

  `isInherited()`

  `boolean`

  `isTransient()`
    Checks, whether this stylekey denotes a temporary computation result.

  `boolean`

  `isValidOn(int mask)`

  `String`

  `toString()`
    Returns a string representation of the object.

## Field Details

### ALWAYS

    public static final int ALWAYS

> Field Value:
>   81919

### All_ELEMENTS

    public static final int All_ELEMENTS

> Field Value:
>   4095

### BLOCK_ELEMENTS

    public static final int BLOCK_ELEMENTS

> Field Value:
>   2

### COUNTERS

    public static final int COUNTERS

> Field Value:
>   131072

### DOM_ELEMENTS

    public static final int DOM_ELEMENTS

> Field Value:
>   3

### FOOTNOTE_AREA

    public static final int FOOTNOTE_AREA

> Field Value:
>   8192

### INLINE_ELEMENTS

    public static final int INLINE_ELEMENTS

> Field Value:
>   1

### MARGINS

    public static final int MARGINS

> Field Value:
>   4096

### PAGE_CONTEXT

    public static final int PAGE_CONTEXT

> Field Value:
>   65536

### PSEUDO_AFTER

    public static final int PSEUDO_AFTER

> Field Value:
>   32

### PSEUDO_ALTERNATE

    public static final int PSEUDO_ALTERNATE

> Field Value:
>   64

### PSEUDO_BEFORE

    public static final int PSEUDO_BEFORE

> Field Value:
>   16

### PSEUDO_FIRST_LETTER

    public static final int PSEUDO_FIRST_LETTER

> Field Value:
>   512

### PSEUDO_FIRST_LINE

    public static final int PSEUDO_FIRST_LINE

> Field Value:
>   1024

### PSEUDO_LINEMARKER

    public static final int PSEUDO_LINEMARKER

> Field Value:
>   256

### PSEUDO_MARKER

    public static final int PSEUDO_MARKER

> Field Value:
>   128

### PSEUDO_OTHER

    public static final int PSEUDO_OTHER

> Field Value:
>   2048

### index

    public final int index

> The index is implicitly defined when the key is registered. Do not rely on that index for long term persitence.

## Constructor Details

### StyleKey

    protected StyleKey(String name,
                       boolean trans,
                       boolean inherited,
                       int index,
                       int validity)

> Creates a new style key.
> Parameters:
>   `name` - the name (never null).

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### equals

    public boolean equals(Object o)

> Indicates whether some other object is "equal to" this one.
> Parameters:
>   `o` - the reference object with which to compare.
> Returns:
>   `true` if this object is the same as the obj argument; `false` otherwise.

### getIndex

    public int getIndex()

### getName

    public String getName()

> Returns the name of the key.
> Returns:
>   the name.

### hashCode

    public int hashCode()

> Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

> Returns:
>   a hash code value for this object.

### isInherited

    public boolean isInherited()

### isTransient

    public boolean isTransient()

> Checks, whether this stylekey denotes a temporary computation result.
> Returns:
>   true, if the key is transient, false otherwise.

### isValidOn

    public boolean isValidOn(int mask)

### toString

    public String toString()

> Returns a string representation of the object.
> Returns:
>   a string representation of the object.